Package Details: sdformat 8.2.0-0

Git Clone URL: https://aur.archlinux.org/sdformat.git (read-only)
Package Base: sdformat
Description: SDF Converter for gazebo
Upstream URL: http://sdformat.org/
Licenses: Apache
Submitter: bchretien
Maintainer: pryre
Last Packager: pryre
Votes: 9
Popularity: 0.358518
First Submitted: 2014-06-18 23:24
Last Updated: 2019-06-28 06:21

Latest Comments

1 2 3 4 Next › Last »

acxz commented on 2019-06-27 17:20

Thank you!

pryre commented on 2019-06-26 00:23

I'd been checking their front-end website, seems they just didn't bother to update it from 6.0.0. Anyone having issues will most likely have to bump ignition-math up to v6 at least as well.

acxz commented on 2019-06-16 22:40

Can this package be updated to the latest release version (8.1)? https://bitbucket.org/osrf/sdformat/downloads/?tab=tags

lopsided98 commented on 2019-01-11 01:20

This package does not build in a clean chroot because it is missing ignition-cmake as a makedepends.

rochus commented on 2018-05-27 21:13

FYI: sdformat (6.0.0) does not properly compile with the latest clang (6.0.0). If this is your default compiler, temporarily change it to gcc/g++, i.e.

$ CC=gcc CXX=g++ makepkg -sri

pryre commented on 2018-02-24 14:02

Obviously I didn't look hard enough. Cheers

Morganamilo commented on 2018-02-24 13:15

You can just define the dep twice. depends=('foo>=4' 'foo<5')

pryre commented on 2018-02-24 12:56

I'll change it to require >=4 for the time being. I can't find something to constrain the dependencies to specifically the 4.x.x branch, but that seems like a bit of a silly idea anyway. Still, I'm open to suggestions.

kartikmohta commented on 2018-02-22 21:42

Just a small note: Even though the package v6.0.0 compiles fine with ignition-math3, it explicitly defines a dependency on ignition-math4 in /usr/lib/cmake/sdformat/SDFormatConfig.cmake line 27: find_package(ignition-math4)

pryre commented on 2018-02-21 13:24

Thanks for the note! Also, looks like it's time for an update.